unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, PersianDate, ExtCtrls, DateUtils, ShellApi;

type
  TForm1 = class(TForm)
    Label3: TLabel;
    Edit1: TEdit;
    Label4: TLabel;
    Edit2: TEdit;
    Button3: TButton;
    Button4: TButton;
    Label1: TLabel;
    Label2: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Label5Click(Sender: TObject);
    procedure Label7Click(Sender: TObject);
    procedure Edit1KeyPress(Sender: TObject; var Key: Char);
    procedure Edit2KeyPress(Sender: TObject; var Key: Char);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;



implementation

{$R *.dfm}

procedure TForm1.Button3Click(Sender: TObject);
var
  d:TDateTime;
  k:Word;

  procedure Ln(S:String);
  begin
  Label1.Caption:=Label1.Caption+S+#13;
  end;

begin
d:=StrToDate(Edit2.Text);
if Sender<>Self then Edit1.Text:=PersianDateToStr(d);
Label1.Caption:='';
Ln(FormatDateTime('dddd, mmmm d, yyyy',d,EnglishFormatSettings));
k:=DayOfTheWeek(d);
if k=7 then k:=0;
Inc(k);
Ln(EnglishFormatSettings.LongDayNames[k]+', '+NumberToOrdinalNumber(k)+' day of week');
Ln(NumberToOrdinalText(DayOfTheMonth(d))+' day of '+EnglishFormatSettings.LongMonthNames[MonthOfTheYear(d)]);
Ln(NumberToOrdinalText(DayOfTheYear(d))+' day of the year');
Ln('Year '+NumberToText(YearOf(d)));
Ln(IntToStr(DateTimeToTimeStamp(d).Date)+' days past January 1, 0001');
if Sender<>Self then Button4Click(Self);
end;

procedure TForm1.Button4Click(Sender: TObject);
var d:TDateTime;

  procedure Ln(S:String);
  begin
  Label2.Caption:=Label2.Caption+S+#13;
  end;

begin
d:=StrToPersianDate(Edit1.Text);
if Sender<>Self then Edit2.Text:=DateToStr(d);
Label2.Caption:='';
Ln(FormatPersianDateTime('dddd d mmmm yyyy',d));
Ln(PersianDayOfTheWeekLongName(d)+' '+NumberToPersianOrdinalText(PersianDayOfTheWeek(d))+'  ');
Ln(NumberToPersianOrdinalText(PersianDayOfTheMonth(d))+'  '+ThePersianMonthLongName(d)+' ');
Ln(NumberToPersianOrdinalText(PersianDayOfTheYear(d))+'  ');
Ln(' '+NumberToPersianText(ThePersianYear(d)));
Ln(IntToStr(DateTimeToPersianTimeStamp(d).Date)+'        0001');
if Sender<>Self then Button3Click(Self);
end;                                            

procedure TForm1.FormCreate(Sender: TObject);
begin
ShowMessage(PersianDateTimeToStr(Now));
Edit2.Text:=DateToStr(Date);
Button3Click(Button3);
end;

procedure TForm1.Label5Click(Sender: TObject);
begin
ShellExecute(Handle,'Open','mailto:vahid_you2004@yahoo.com','','',SW_SHOW);
end;

procedure TForm1.Label7Click(Sender: TObject);
begin
ShellExecute(Handle,'Open','http://www.dihav.com/','','',SW_SHOW);
end;

procedure TForm1.Edit1KeyPress(Sender: TObject; var Key: Char);
begin
if Key=#13 then
  begin
  Key:=#0;
  Button4Click(Button4);
  end;
end;

procedure TForm1.Edit2KeyPress(Sender: TObject; var Key: Char);
begin
if Key=#13 then
  begin
  Key:=#0;
  Button3Click(Button3);
  end;
end;

end.
